Last modified: 2012-04-19 21:43:13 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 23857 - Dialogs: Search and Replace : RegEx replace text malfunction
Dialogs: Search and Replace : RegEx replace text malfunction
Status: CLOSED INVALID
Product: MediaWiki extensions
Classification: Unclassified
UsabilityInitiative (Other open bugs)
unspecified
All All
: Normal critical (vote)
: ---
Assigned To: Trevor Parscal
:
Depends on:
Blocks: 36111
  Show dependency treegraph
 
Reported: 2010-06-09 11:52 UTC by Calcey QA
Modified: 2012-04-19 21:43 UTC (History)
4 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments
Wiki_2010-06-09_REGEx Replace.pdf (55.69 KB, application/pdf)
2010-06-09 11:52 UTC, Calcey QA
Details

Description Calcey QA 2010-06-09 11:52:00 UTC
Created attachment 7444 [details]
Wiki_2010-06-09_REGEx Replace.pdf

Reporting against Babaco Release : 
Tested link :

Steps to Reproduce ::

1) Enter text as 
test

testing

test001

testtest

2) Search for test[^ ]* and replace the text with QA and click on replace all
<<All the 4 items get removed and one item there with the word QA>>

3) Tried the same with
test plan

testing plan

test001 plan

testtest plan

<<It correctly replace the word start with test and gave the result as QA plan for all 4 instances>>

Expected Outcome::

Test Environment::
Mozilla/5.0 (Windows; U; Windows NT 6.1; en-US; rv:1.9.1.8) Gecko/20100202 Firefox/3.5.8

Mozilla/5.0 (Windows; U; Windows NT 6.1; en-US) AppleWebKit/533.4 (KHTML, like Gecko) Chrome/5.0.375.70 Safari/533.4
Comment 1 Conrad Irwin 2010-06-09 11:58:38 UTC
This is expected, test[^ ]* will match the entire input in the first case as there are no space characters. If you want the behaviour you seem to, use test[^\s]* so that newlines are also excluded.
Comment 2 Calcey QA 2010-06-10 04:23:15 UTC
Verified and closed

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links